<!DOCTYPE html>
<html lang="en-US">
<head>
    <title>Inpin Task</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<body>
<div class="container">
	  <div class="row"> <h1>Inpin Task</h1> </div>	  
        <h4>Request url: localhost:3000</h4>
</div>

<div class="container-fluid ">
    <div class="row center">      
    </div>
    <div class="row">
        <div class="col-8">
            <div class="row">
                <div class="border col-6">

                    <br/>
                    <h1> Agency Request</h1>
                    <br/>
                    <div class="accordion" id="accordionExample">
                        <div class="card">
                            <div class="card-header" id="headingOne">
                                <h2 class="mb-0">
                                    <button class="btn btn-link" type="button" data-toggle="collapse"
                                            data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                        Create Agency
                                    </button>
                                </h2>
                            </div>

                            <div id="collapseOne" class="collapse show" aria-labelledby="headingOne"
                                 data-parent="#accordionExample">
                                <div class="card-body">

                                    <div class="row">
                                        <div class="form-group">
                                            <h2>Create agency</h2>
                                            <label>name</label>
                                            <input type="text" name="agencyName" id="createAgencyName"
                                                   class="form-control">
                                            <label>parentId</label>
                                            <input type="number" name="agencyParentId" id="createAgencyParentId"
                                                   class="form-control">
                                            <br/>
                                            <button class="btn btn-primary" type="button" id="createAgencyBtn">Create
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-header" id="headingTwo">
                                <h2 class="mb-0">
                                    <button class="btn btn-link collapsed" type="button" data-toggle="collapse"
                                            data-target="#collapseTwo" aria-expanded="false"
                                            aria-controls="collapseTwo">
                                        Agency Get All
                                    </button>
                                </h2>
                            </div>
                            <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo"
                                 data-parent="#accordionExample">
                                <div class="card-body">

                                    <div class="row">
                                        <div class="form-group">
                                            <h2>Get All Agency</h2>
                                            <br/>
                                            <button class="btn btn-primary" type="button" id="getAgencyBtn">Get</button>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-header" id="headingThree">
                                <h2 class="mb-0">
                                    <button class="btn btn-link collapsed" type="button" data-toggle="collapse"
                                            data-target="#collapseThree" aria-expanded="false"
                                            aria-controls="collapseThree">
                                        Get by Id Agency
                                    </button>
                                </h2>
                            </div>
                            <div id="collapseThree" class="collapse" aria-labelledby="headingThree"
                                 data-parent="#accordionExample">
                                <div class="card-body">

                                    <div class="row">
                                        <div class="form-group">
                                            <h2>Get by Id Agency</h2>
                                            <label>id</label>
                                            <input type="text" name="agency" id="getIdAgency" class="form-control">
                                            <br/>
                                            <button class="btn btn-info" type="button" id="getIdAgencyBtn">Get</button>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-header" id="headingFor">
                                <h2 class="mb-0">
                                    <button class="btn btn-link collapsed" type="button" data-toggle="collapse"
                                            data-target="#collapseFor" aria-expanded="false"
                                            aria-controls="collapseFor">
                                        Delete Agency
                                    </button>
                                </h2>
                            </div>
                            <div id="collapseFor" class="collapse" aria-labelledby="headingFor"
                                 data-parent="#accordionExample">
                                <div class="card-body">

                                    <div class="row">
                                        <div class="form-group">
                                            <h2>Delete Agency</h2>
                                            <label for="deleteAgencyId">id</label>
                                            <input type="text" name="agency" id="deleteAgencyId" class="form-control">
                                            <br/>
                                            <button class="btn btn-danger" type="button" id="deleteAgencyBtn">Delete
                                            </button>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-header" id="heading5">
                                <h2 class="mb-0">
                                    <button class="btn btn-link collapsed" type="button" data-toggle="collapse"
                                            data-target="#collapse5" aria-expanded="false" aria-controls="collapse5">
                                        Update Agency
                                    </button>
                                </h2>
                            </div>
                            <div id="collapse5" class="collapse" aria-labelledby="heading5"
                                 data-parent="#accordionExample">
                                <div class="card-body">

                                    <div class="row">
                                        <div class="form-group">
                                            <h2>Update agency</h2>
                                            <label>Id</label>
                                            <input type="number" name="agencyParentId" id="updateAgencyId"
                                                   class="form-control">
                                            <label>name</label>
                                            <input type="text" name="updateAgencyName" id="updateAgencyName"
                                                   class="form-control">
                                            <br/>
                                            <button class="btn btn-primary" type="button" id="updateAgencyBtn">Update
                                            </button>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                    </div>

                </div>

                <div class="border col-6">

                    <br/>
                    <h1> Listing Request</h1>
                    <br/>

                    <div class="accordion" id="accordionListing">
                        <div class="card">
                            <div class="card-header" id="headingListingOne">
                                <h2 class="mb-0">
                                    <button class="btn btn-link" type="button" data-toggle="collapse"
                                            data-target="#collapseListingOne" aria-expanded="true"
                                            aria-controls="collapseListingOne">
                                        Create Listing
                                    </button>
                                </h2>
                            </div>

                            <div id="collapseListingOne" class="collapse show" aria-labelledby="headingListingOne"
                                 data-parent="#accordionListing">
                                <div class="card-body">
                                    <div class="row ">
                                        <div class="form-group">
                                            <h2>Create Listing</h2>
                                            <label>name</label>
                                            <input type="text" name="createListingName" id="createListingName"
                                                   class="form-control">
                                            <label>AgencyId</label>
                                            <input type="number" name="createListingAgencyId" id="createListingAgencyId"
                                                   class="form-control">
                                            <label>Lat</label>
                                            <input type="number" name="createListingLat" id="createListingLat"
                                                   class="form-control">
                                            <label>Lon</label>
                                            <input type="number" name="createListingLon" id="createListingLon"
                                                   class="form-control">
                                            <br/>
                                            <button class="btn btn-primary" type="button" id="createListingBtn">Create
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-header" id="headingListingTwo">
                                <h2 class="mb-0">
                                    <button class="btn btn-link collapsed" type="button" data-toggle="collapse"
                                            data-target="#collapseListingTwo" aria-expanded="false"
                                            aria-controls="collapseListingTwo">
                                        Get All Listing
                                    </button>
                                </h2>
                            </div>
                            <div id="collapseListingTwo" class="collapse" aria-labelledby="headingListingTwo"
                                 data-parent="#accordionListing">
                                <div class="card-body">

                                    <div class="row ">
                                        <div class="form-group">
                                            <h2>Get All Listing</h2>
                                            <br/>
                                            <button class="btn btn-primary" type="button" id="getListingBtn">Get
                                            </button>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-header" id="headingListingThree">
                                <h2 class="mb-0">
                                    <button class="btn btn-link collapsed" type="button" data-toggle="collapse"
                                            data-target="#collapseListingThree" aria-expanded="false"
                                            aria-controls="collapseListingThree">
                                        Get Listing by Location
                                    </button>
                                </h2>
                            </div>
                            <div id="collapseListingThree" class="collapse" aria-labelledby="headingListingThree"
                                 data-parent="#accordionListing">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="form-group">
                                            <h2>Get Listing by Location</h2>
                                            <label>Distance</label>
                                            <input type="number" name="getListingDistance" id="getListingDistance"
                                                   class="form-control">
                                            <label>Lat</label>
                                            <input type="number" name="getListingLat" id="getListingLat"
                                                   class="form-control">
                                            <label>Lon</label>
                                            <input type="number" name="getListingLon" id="getListingLon"
                                                   class="form-control">
                                            <br/>
                                            <button class="btn btn-primary" type="button" id="getLocationListingBtn">Get
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-header" id="headingListingFour">
                                <h2 class="mb-0">
                                    <button class="btn btn-link collapsed" type="button" data-toggle="collapse"
                                            data-target="#collapseListingFour" aria-expanded="false"
                                            aria-controls="collapseListingFour">
                                        Get by Id Listing
                                    </button>
                                </h2>
                            </div>
                            <div id="collapseListingFour" class="collapse" aria-labelledby="headingListingFour"
                                 data-parent="#accordionListing">
                                <div class="card-body">

                                    <div class="row ">
                                        <div class="form-group">
                                            <h2>Get by Id Listing</h2>
                                            <label>id</label>
                                            <input type="text" name="Listing" id="getIdListing" class="form-control">
                                            <br/>
                                            <button class="btn btn-info" type="button" id="getIdListingBtn">Get</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-header" id="headingListingFive">
                                <h2 class="mb-0">
                                    <button class="btn btn-link collapsed" type="button" data-toggle="collapse"
                                            data-target="#collapseListingFive" aria-expanded="false"
                                            aria-controls="collapseListingFive">
                                        Get by AgencyId Listing
                                    </button>
                                </h2>
                            </div>
                            <div id="collapseListingFive" class="collapse" aria-labelledby="headingListingFive"
                                 data-parent="#accordionListing">
                                <div class="card-body">

                                    <div class="row ">
                                        <div class="form-group">
                                            <h2>Get by AgencyId Listing</h2>
                                            <label>id</label>
                                            <input type="text" name="getbyAgencyIdListing" id="getbyAgencyIdListing"
                                                   class="form-control">
                                            <br/>
                                            <button class="btn btn-info" type="button" id="getByAgencyIdListingBtn">
                                                Get
                                            </button>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-header" id="headingListingSix">
                                <h2 class="mb-0">
                                    <button class="btn btn-link collapsed" type="button" data-toggle="collapse"
                                            data-target="#collapseListingSix" aria-expanded="false"
                                            aria-controls="collapseListingSix">
                                        Delete Listing
                                    </button>
                                </h2>
                            </div>
                            <div id="collapseListingSix" class="collapse" aria-labelledby="headingListingSix"
                                 data-parent="#accordionListing">
                                <div class="card-body">
                                    <div class="row ">
                                        <div class="form-group">
                                            <h2>Delete Listing</h2>
                                            <label for="deleteListingId">id</label>
                                            <input type="text" name="listing" id="deleteListingId" class="form-control">
                                            <br/>
                                            <button class="btn btn-danger" type="button" id="deleteListingBtn">Delete
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-header" id="headingListingSeven">
                                <h2 class="mb-0">
                                    <button class="btn btn-link collapsed" type="button" data-toggle="collapse"
                                            data-target="#collapseListingSeven" aria-expanded="false"
                                            aria-controls="collapseListingSeven">
                                        Update Listing
                                    </button>
                                </h2>
                            </div>
                            <div id="collapseListingSeven" class="collapse" aria-labelledby="headingListingSeven"
                                 data-parent="#accordionListing">
                                <div class="card-body">

                                    <div class="row">
                                        <div class="form-group">
                                            <h2>Update Listing</h2>
                                            <label>id</label>
                                            <input type="text" name="updateListingId" id="updateListingId"
                                                   class="form-control">
                                            <label>name</label>
                                            <input type="text" name="updateListingName" id="updateListingName"
                                                   class="form-control">
                                            <label>Lat</label>
                                            <input type="number" name="updateListingLat" id="updateListingLat"
                                                   class="form-control"
                                                   value="0.0">
                                            <label>Lon</label>
                                            <input type="number" name="updateListingLon" id="updateListingLon"
                                                   class="form-control"
                                                   value="0.0">
                                            <br/>
                                            <button class="btn btn-primary" type="button" id="updateListingBtn">Update
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>


        <div class="col-4">
            <div>
                <div class="form-group">
                    <h4>Request</h4>
                    <textarea class="form-control" id="requestBox" rows="10"></textarea>
                </div>
            </div>
            <div>
                <div class="form-group">
                    <h4>Response</h4>
                    <textarea class="form-control" id="responseBox" rows="30"></textarea>
                </div>
            </div>
        </div>
    </div>
</div>
<script
        src="https://code.jquery.com/jquery-2.2.4.min.js"
        integrity="sha256-BbhdlvQf/xTY9gja0Dq3HiwQF8LaCRTXxZKRutelT44="
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
<script type="text/javascript">
    var BaseUrl = "http://localhost:3000/api/v1/";
    $(document).ready(function () {
//----------------- Agency----------------------------//
        $("#createAgencyBtn").click(function () {
            var date = {
                name: $("#createAgencyName").val(),
                parentId: Number($("#createAgencyParentId").val())
            };
            var settings = {
                "async": true,
                "crossDomain": true,
                "url": BaseUrl + "agency",
                "method": "POST",
                "headers": {
                    "Content-Type": "application/json"
                },
                "processData": false,
                "data": JSON.stringify(date)
            };

            var req = JSON.stringify(settings, undefined, 2);
            $("#requestBox").val(req);

            $.ajax(settings)
                .done(function (response) {
                    var res = JSON.stringify(response, undefined, 4)
                    $("#responseBox").val(res);
                })
                .fail(function (jqXHR, textStatus, errorThrown) {
                    switch (jqXHR.status) {
                        case 200:
                            $("#responseBox").val("Done  Successful");
                            break;

                        case 400:
                            $("#responseBox").val("Bad Request" + textStatus);
                            break;

                        default:
                            $("#responseBox").val(JSON.stringify({status: jqXHR.status, text: textStatus}));
                            break;
                    }
                });
        });

        $("#getAgencyBtn").click(function () {
            var settings = {
                "async": true,
                "crossDomain": true,
                "url": BaseUrl + "agency",
                "method": "GET",
                "headers": {
                    "Content-Type": "application/json"
                },
                "processData": false,
                "data": ""
            }

            var req = JSON.stringify(settings, undefined, 2);
            $("#requestBox").val(req);

            $.ajax(settings)
                .done(function (response) {
                    var res = JSON.stringify(response, undefined, 4)
                    $("#responseBox").val(res);
                })
                .fail(function (jqXHR, textStatus, errorThrown) {
                    switch (jqXHR.status) {
                        case 200:
                            $("#responseBox").val("Done  Successful");
                            break;

                        case 400:
                            $("#responseBox").val("Bad Request" + textStatus);
                            break;

                        default:
                            $("#responseBox").val(JSON.stringify({status: jqXHR.status, text: textStatus}));
                            break;
                    }
                });

        })

        $("#deleteAgencyBtn").click(function () {
            var did = $("#deleteAgencyId").val();

            var settings = {
                "async": true,
                "crossDomain": true,
                "url": BaseUrl + "agency/" + did,
                "method": "DELETE",
                "headers": {
                    "Content-Type": "application/json"
                },
                "processData": false,
                "data": ""
            };

            var req = JSON.stringify(settings, undefined, 2);
            $("#requestBox").val(req);

            $.ajax(settings)
                .done(function (response) {
                    var res = JSON.stringify(response, undefined, 4)
                    $("#responseBox").val(res);
                })
                .fail(function (jqXHR, textStatus, errorThrown) {
                    switch (jqXHR.status) {
                        case 200:
                            $("#responseBox").val("Done  Successful");
                            break;

                        case 400:
                            $("#responseBox").val("Bad Request" + textStatus);
                            break;

                        default:
                            $("#responseBox").val(JSON.stringify({status: jqXHR.status, text: textStatus}));
                            break;
                    }
                });

        });

        $("#getIdAgencyBtn").click(function () {
            var did = $("#getIdAgency").val();

            var settings = {
                "async": true,
                "crossDomain": true,
                "url": BaseUrl + "agency/" + did,
                "method": "GET",
                "headers": {
                    "Content-Type": "application/json"
                },
                "processData": false,
                "data": ""
            };

            var req = JSON.stringify(settings, undefined, 2);
            $("#requestBox").val(req);

            $.ajax(settings)
                .done(function (response) {
                    var res = JSON.stringify(response, undefined, 4)
                    $("#responseBox").val(res);
                })
                .fail(function (jqXHR, textStatus, errorThrown) {
                    switch (jqXHR.status) {
                        case 200:
                            $("#responseBox").val("Done  Successful");
                            break;

                        case 400:
                            $("#responseBox").val("Bad Request" + textStatus);
                            break;

                        default:
                            $("#responseBox").val(JSON.stringify({status: jqXHR.status, text: textStatus}));
                            break;
                    }
                });

        });

        $("#updateAgencyBtn").click(function () {
            var did = $("#updateAgencyId").val();
            var data = {name: $("#updateAgencyName").val()};

            var settings = {
                "async": true,
                "crossDomain": true,
                "url": BaseUrl + "agency/" + did,
                "method": "PATCH",
                "headers": {
                    "Content-Type": "application/json"
                },
                "processData": false,
                "data": JSON.stringify(data)
            };

            var req = JSON.stringify(settings, undefined, 2);
            $("#requestBox").val(req);

            $.ajax(settings)
                .done(function (response) {
                    var res = JSON.stringify(response, undefined, 4)
                    $("#responseBox").val(res);
                })
                .fail(function (jqXHR, textStatus, errorThrown) {
                    switch (jqXHR.status) {
                        case 200:
                            $("#responseBox").val("Done  Successful");
                            break;

                        case 400:
                            $("#responseBox").val("Bad Request" + textStatus);
                            break;

                        default:
                            $("#responseBox").val(JSON.stringify({status: jqXHR.status, text: textStatus}));
                            break;
                    }
                });

        });
//----------------- Listing----------------------------//
        $("#createListingBtn").click(function () {
            var data = {
                name: $("#createListingName").val(),
                agencyId: Number($("#createListingAgencyId").val()),
                latitude: Number($("#createListingLat").val()),
                longitude: Number($("#createListingLon").val())
            };
            var settings = {
                "async": true,
                "crossDomain": true,
                "url": BaseUrl + "listing",
                "method": "POST",
                "headers": {
                    "Content-Type": "application/json"
                },
                "processData": false,
                "data": JSON.stringify(data)
            }

            var req = JSON.stringify(settings, undefined, 2);
            $("#requestBox").val(req);

            $.ajax(settings)
                .done(function (response) {
                    var res = JSON.stringify(response, undefined, 4)
                    $("#responseBox").val(res);
                })
                .fail(function (jqXHR, textStatus, errorThrown) {
                    switch (jqXHR.status) {
                        case 200:
                            $("#responseBox").val("Done  Successful");
                            break;

                        case 400:
                            $("#responseBox").val("Bad Request" + textStatus);
                            break;

                        default:
                            $("#responseBox").val(JSON.stringify({status: jqXHR.status, text: textStatus}));
                            break;
                    }
                });
        });

        $("#getListingBtn").click(function () {
            var settings = {
                "async": true,
                "crossDomain": true,
                "url": BaseUrl + "listing",
                "method": "GET",
                "headers": {
                    "Content-Type": "application/json"
                },
                "processData": false,
                "data": ""
            }

            var req = JSON.stringify(settings, undefined, 2);
            $("#requestBox").val(req);

            $.ajax(settings)
                .done(function (response) {
                    var res = JSON.stringify(response, undefined, 4)
                    $("#responseBox").val(res);
                })
                .fail(function (jqXHR, textStatus, errorThrown) {
                    switch (jqXHR.status) {
                        case 200:
                            $("#responseBox").val("Done  Successful");
                            break;

                        case 400:
                            $("#responseBox").val("Bad Request" + textStatus);
                            break;

                        default:
                            $("#responseBox").val(JSON.stringify({status: jqXHR.status, text: textStatus}));
                            break;
                    }
                });
        });

        $("#getLocationListingBtn").click(function () {
            var query = "?distance=" + $("#getListingDistance").val() +
                "&lat=" + $("#getListingLat").val() +
                "&lon=" + $("#getListingLon").val();

            var settings = {
                "async": true,
                "crossDomain": true,
                "url": BaseUrl + "listing" + query,
                "method": "GET",
                "headers": {
                    "Content-Type": "application/json"
                },
                "processData": false,
                "data": ""
            }

            var req = JSON.stringify(settings, undefined, 2);
            $("#requestBox").val(req);

            $.ajax(settings)
                .done(function (response) {
                    var res = JSON.stringify(response, undefined, 4)
                    $("#responseBox").val(res);
                })
                .fail(function (jqXHR, textStatus, errorThrown) {
                    switch (jqXHR.status) {
                        case 200:
                            $("#responseBox").val("Done  Successful");
                            break;

                        case 400:
                            $("#responseBox").val("Bad Request" + textStatus);
                            break;

                        default:
                            $("#responseBox").val(JSON.stringify({status: jqXHR.status, text: textStatus}));
                            break;
                    }
                });
        });

        $("#deleteListingBtn").click(function () {
            var did = $("#deleteListingId").val();

            var settings = {
                "async": true,
                "crossDomain": true,
                "url": BaseUrl + "listing/" + did,
                "method": "DELETE",
                "headers": {
                    "Content-Type": "application/json"
                },
                "processData": false,
                "data": ""
            }

            var req = JSON.stringify(settings, undefined, 2);
            $("#requestBox").val(req);

            $.ajax(settings)
                .done(function (response) {
                    var res = JSON.stringify(response, undefined, 4)
                    $("#responseBox").val(res);
                })
                .fail(function (jqXHR, textStatus, errorThrown) {
                    switch (jqXHR.status) {
                        case 200:
                            $("#responseBox").val("Done  Successful");
                            break;

                        case 400:
                            $("#responseBox").val("Bad Request" + textStatus);
                            break;

                        default:
                            $("#responseBox").val(JSON.stringify({status: jqXHR.status, text: textStatus}));
                            break;
                    }
                });
        });

        $("#getIdListingBtn").click(function () {
            var did = $("#getIdListing").val();

            var settings = {
                "async": true,
                "crossDomain": true,
                "url": BaseUrl + "listing/" + did,
                "method": "GET",
                "headers": {
                    "Content-Type": "application/json"
                },
                "processData": false,
                "data": ""
            }

            var req = JSON.stringify(settings, undefined, 2);
            $("#requestBox").val(req);

            $.ajax(settings)
                .done(function (response) {
                    var res = JSON.stringify(response, undefined, 4)
                    $("#responseBox").val(res);
                })
                .fail(function (jqXHR, textStatus, errorThrown) {
                    switch (jqXHR.status) {
                        case 200:
                            $("#responseBox").val("Done  Successful");
                            break;

                        case 400:
                            $("#responseBox").val("Bad Request" + textStatus);
                            break;

                        default:
                            $("#responseBox").val(JSON.stringify({status: jqXHR.status, text: textStatus}));
                            break;
                    }
                });
        });

        $("#getByAgencyIdListingBtn").click(function () {
            var did = $("#getbyAgencyIdListing").val();

            var settings = {
                "async": true,
                "crossDomain": true,
                "url": BaseUrl + "listing?agency=" + did,
                "method": "GET",
                "headers": {
                    "Content-Type": "application/json"
                },
                "processData": false,
                "data": ""
            }

            var req = JSON.stringify(settings, undefined, 2);
            $("#requestBox").val(req);

            $.ajax(settings)
                .done(function (response) {
                    var res = JSON.stringify(response, undefined, 4)
                    $("#responseBox").val(res);
                })
                .fail(function (jqXHR, textStatus, errorThrown) {
                    switch (jqXHR.status) {
                        case 200:
                            $("#responseBox").val("Done  Successful");
                            break;

                        case 400:
                            $("#responseBox").val("Bad Request" + textStatus);
                            break;

                        default:
                            $("#responseBox").val(JSON.stringify({status: jqXHR.status, text: textStatus}));
                            break;
                    }
                });
        });

        $("#updateListingBtn").click(function () {
            var did = $("#updateListingId").val();
            var data = {
                name: $("#updateListingName").val(),
                latitude: Number($("#updateListingLat").val()),
                longitude: Number($("#updateListingLon").val())
            };

            var settings = {
                "async": true,
                "crossDomain": true,
                "url": BaseUrl + "listing/" + did,
                "method": "PATCH",
                "headers": {
                    "Content-Type": "application/json"
                },
                "processData": false,
                "data": JSON.stringify(data)
            }

            var req = JSON.stringify(settings, undefined, 2);
            $("#requestBox").val(req);

            $.ajax(settings)
                .done(function (response) {
                    var res = JSON.stringify(response, undefined, 4)
                    $("#responseBox").val(res);
                })
                .fail(function (jqXHR, textStatus, errorThrown) {
                    switch (jqXHR.status) {
                        case 200:
                            $("#responseBox").val("Done  Successful");
                            break;

                        case 400:
                            $("#responseBox").val("Bad Request" + textStatus);
                            break;

                        default:
                            $("#responseBox").val(JSON.stringify({status: jqXHR.status, text: textStatus}));
                            break;
                    }
                });
        });
    })
</script>
</body>
</html>